Public Attributes | List of all members
ble_gapm_evt_t Struct Reference
BLE » Generic Access Profile (GAP) » Generic Access Profile (GAP) Management » Structures

BLE GAPM event structure. More...

`#include <ble_gapm.h>`

Collaboration diagram for ble_gapm_evt_t:
[legend]

## Public Attributes
uint8_t | index
| Index of connection or advertising. More...
union {
ble_gap_evt_dev_info_get_t dev_info
| Device info parameters. More...
ble_gap_evt_adv_stop_t adv_stop
| Advertising stop parameter. More...
ble_gap_evt_scan_req_t scan_req
| Scan Request parameter. More...
ble_gap_evt_scan_stop_t scan_stop
| Scan Stop parameter. More...
ble_gap_evt_adv_report_t adv_report
| Advertising Report parameter. More...
ble_gap_evt_sync_established_t sync_established
| Periodic Advertising Synchronization Established parameter. More...
ble_gap_evt_rslv_addr_read_t rslv_addr
| Read Resolvable Address parameter, generated by controller. More...
ble_gap_evt_rslv_addr_report_t rslv_addr_report
| Resolvable Address report parameter, generated by host. More...
} | params
| Event Parameters. More...

## Detailed Description

BLE GAPM event structure.

Definition at line 852 of file ble_gapm.h.

## Member Data Documentation

## ◆ adv_report

ble_gap_evt_adv_report_t ble_gapm_evt_t::adv_report

Advertising Report parameter.

Definition at line 861 of file ble_gapm.h.

## ◆ adv_stop

ble_gap_evt_adv_stop_t ble_gapm_evt_t::adv_stop

Advertising stop parameter.

Definition at line 858 of file ble_gapm.h.

## ◆ dev_info

ble_gap_evt_dev_info_get_t ble_gapm_evt_t::dev_info

Device info parameters.

Definition at line 857 of file ble_gapm.h.

## ◆ index

uint8_t ble_gapm_evt_t::index

Index of connection or advertising.

Definition at line 854 of file ble_gapm.h.

## ◆ params

union { ... } ble_gapm_evt_t::params

Event Parameters.

## ◆ rslv_addr

ble_gap_evt_rslv_addr_read_t ble_gapm_evt_t::rslv_addr

Read Resolvable Address parameter, generated by controller.

Definition at line 863 of file ble_gapm.h.

## ◆ rslv_addr_report

ble_gap_evt_rslv_addr_report_t ble_gapm_evt_t::rslv_addr_report

Resolvable Address report parameter, generated by host.

Definition at line 864 of file ble_gapm.h.

## ◆ scan_req

ble_gap_evt_scan_req_t ble_gapm_evt_t::scan_req

Scan Request parameter.

Definition at line 859 of file ble_gapm.h.

## ◆ scan_stop

ble_gap_evt_scan_stop_t ble_gapm_evt_t::scan_stop

Scan Stop parameter.

Definition at line 860 of file ble_gapm.h.

## ◆ sync_established

ble_gap_evt_sync_established_t ble_gapm_evt_t::sync_established

Periodic Advertising Synchronization Established parameter.

Definition at line 862 of file ble_gapm.h.

The documentation for this struct was generated from the following file:

- ble_gapm.h